package com.sonic.lion.domain.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 增加一个类型 枚举: 首充 , 周五周五限时优惠
 * 增加一个优惠折扣比例  0.1
 *
 * @author code
 */
@AllArgsConstructor
@Getter
public enum ProductRewardType {
    /**
     * 首充
     */
    FIRST_CHARGE(0.2 , 20),
    /**
     * 每周五限时优惠
     */
    EVERY_FRIDAY(0.1,10),

    /**
     * 每月累计充值达到要求
     */
    MONTH_REWARD(0D,0),

    /**
     * 热门
     */
    HOT(0D,0),

    /**
     * 6.23.0 高档位充送
     */
    LARGE_PRODUCT(0D, 0),

    ;
    private Double preferentialRatio;
    private long ratio100;
}
